package org.apache.bcel.generic;

import org.apache.bcel.ExceptionConst;

/* loaded from: org_apache_bcel_generic.jar:org/apache/bcel/generic/GETFIELD.class */
public class GETFIELD extends FieldInstruction implements ExceptionThrower, StackConsumer, StackProducer {
    /* JADX INFO: Access modifiers changed from: package-private */
    public GETFIELD() {
    }

    public GETFIELD(int index) {
        super((short) 180, index);
    }

    @Override // org.apache.bcel.generic.Instruction
    public void accept(Visitor v) {
        v.visitExceptionThrower(this);
        v.visitStackConsumer(this);
        v.visitStackProducer(this);
        v.visitTypedInstruction(this);
        v.visitLoadClass(this);
        v.visitCPInstruction(this);
        v.visitFieldOrMethod(this);
        v.visitFieldInstruction(this);
        v.visitGETFIELD(this);
    }

    @Override // org.apache.bcel.generic.ExceptionThrower
    public Class<?>[] getExceptions() {
        return ExceptionConst.createExceptions(ExceptionConst.EXCS.EXCS_FIELD_AND_METHOD_RESOLUTION, new Class[]{ExceptionConst.NULL_POINTER_EXCEPTION, ExceptionConst.INCOMPATIBLE_CLASS_CHANGE_ERROR});
    }

    @Override // org.apache.bcel.generic.Instruction, org.apache.bcel.generic.StackProducer
    public int produceStack(ConstantPoolGen cpg) {
        return getFieldSize(cpg);
    }
}
